<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
		
		<ui:define name="content">
		<h:form>
			<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<h2>Přidání produktu:</h2>			
			
			<h:panelGrid columns="2" styleClass="form">
				<h:outputLabel rendered="true" value="Produkt" required="true"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.produkt}" converter="omnifaces.SelectItemsConverter">
				    <f:selectItems value="#{objednavkaBean.produktBean.produkty}" var="produkt" itemValue="#{produkt}" itemLabel="#{produkt.nazevProduktu}" />
				</h:selectOneMenu>
			
				<h:outputLabel rendered="true" value="Množství"></h:outputLabel>
				<h:inputText value="#{objednavkaBean.sklada.pocet}" required="true"
					requiredMessage="Množství je povinné"
					validatorMessage="Množství nesmí být záporné">
					<f:validateDoubleRange minimum="1.0" />
					<f:convertNumber maxFractionDigits="2" />
				</h:inputText>
				<h:outputLabel rendered="true" value=""></h:outputLabel>
			</h:panelGrid>	
			<br></br>
			<h:dataTable value="#{objednavkaBean.objednavka.produkty}" var="sklada" 
			rendered="#{objednavkaBean.objednavka.produkty.size() > 0}" styleClass="table">
				<h:column>	
					<f:facet name="header">
						Název
					</f:facet>
					<h:outputText value="#{sklada.produkt.nazevProduktu}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Množství
					</f:facet>
					<h:outputText value="#{sklada.pocet}"></h:outputText>
				</h:column>
			
			</h:dataTable>
			<div class="blok">
				<h:commandButton action="#{objednavkaBean.actionProduktAdd}" value="Přidat produkt" styleClass="button">
				</h:commandButton>
				<h:commandButton action="#{objednavkaBean.actionSaveObj}" value="Uložit objednávku" styleClass="button" immediate="true">
				</h:commandButton>
			</div>
			
		</h:form>
	</ui:define>
</ui:composition>
</html>
